| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::QueuePool Class Reference
Inheritance diagram for Digikam::QueuePool:

## Public Slots
void | removeTab (int index)
void | slotAddItems (const ItemInfoList &, int queueId)
void | slotAddQueue ()
void | slotAssignedToolsChanged (const AssignedBatchTools &)
void | slotClearList ()
void | slotQueueSelected (int)
void | slotRemoveCurrentQueue ()
void | slotRemoveItemsDone ()
void | slotRemoveSelectedItems ()
void | slotSettingsChanged (const QueueSettings &)

## Signals
void | signalItemSelectionChanged ()
void | signalQueueContentsChanged ()
void | signalQueuePoolChanged ()
void | signalQueueSelected (int id, const QueueSettings &, const AssignedBatchTools &)

## Public Member Functions
| QueuePool (QWidget *const parent)
void | applySettings ()
| Apply settings changes to all queues settings container when something have been changed in digiKam setup dialog.
bool | assignedBatchToolsListsAreValid () const
QueueListView * | currentQueue () const
QString | currentTitle () const
bool | customRenamingRulesAreValid () const
QueueListView * | findQueueByIndex (int index) const
QueuePoolItemsList | itemsList (int index, int type) const
QMap< int, QString > | queuesMap () const
QString | queueTitle (int index) const
bool | saveWorkflow () const
void | setBusy (bool b)
void | setItemBusy (qlonglong id)
int | totalPendingItems () const
int | totalPendingTasks () const

## Protected Member Functions
void | keyPressEvent (QKeyEvent *event) override